## org.hibernate.tool.hbm2ddl
Class ImportSqlCommandExtractorInitiator

    java.lang.Object
      org.hibernate.tool.hbm2ddl.ImportSqlCommandExtractorInitiator

All Implemented Interfaces:
  BasicServiceInitiator<ImportSqlCommandExtractor>, ServiceInitiator<ImportSqlCommandExtractor>

    public class ImportSqlCommandExtractorInitiator

extends Object
implements BasicServiceInitiator<ImportSqlCommandExtractor>

Instantiates and configures an appropriate `ImportSqlCommandExtractor`. By default `SingleLineSqlCommandExtractor` is used.

Field Summary
`static ImportSqlCommandExtractor` `DEFAULT_EXTRACTOR`
`static ImportSqlCommandExtractorInitiator` `INSTANCE`

Constructor Summary
`ImportSqlCommandExtractorInitiator()`

Method Summary
`Class<ImportSqlCommandExtractor>` `getServiceInitiated()` Obtains the service role initiated by this initiator.
`ImportSqlCommandExtractor` `initiateService(Map configurationValues, ServiceRegistryImplementor registry)` Initiates the managed service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ImportSqlCommandExtractorInitiator INSTANCE

### DEFAULT_EXTRACTOR

    public static final ImportSqlCommandExtractor DEFAULT_EXTRACTOR

Constructor Detail

### ImportSqlCommandExtractorInitiator

    public ImportSqlCommandExtractorInitiator()

Method Detail

### initiateService

    public ImportSqlCommandExtractor initiateService(Map configurationValues,
                                                     ServiceRegistryImplementor registry)

  Description copied from interface: `BasicServiceInitiator`
  Initiates the managed service.

  Specified by:
    `initiateService` in interface `BasicServiceInitiator<ImportSqlCommandExtractor>`
  Parameters:
    `configurationValues` - The configuration values in effect
    `registry` - The service registry. Can be used to locate services needed to fulfill initiation.
  Returns:
    The initiated service.

### getServiceInitiated

    public Class<ImportSqlCommandExtractor> getServiceInitiated()

  Description copied from interface: `ServiceInitiator`
  Obtains the service role initiated by this initiator. Should be unique within a registry

  Specified by:
    `getServiceInitiated` in interface `ServiceInitiator<ImportSqlCommandExtractor>`
  Returns:
    The service role.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.